Aktuellste XAMPP/Apache Version für Windows XP/Server 2003

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Aktuellste XAMPP/Apache Version für Windows XP/Server 2003

Postby jmar83 » 18. June 2018 08:39

Hallo zusammen

Kann mir jemand von euch sagen, was die aktuellste XAMPP/Apache Version für Windows XP/Server 2003 ist? Ich verwende z.Zt. Apache 2.4.10, diese Version läuft prolemlos. Doch seit neustem sehe ich das die aktuelleren Version von Apache 2.4.x nur ab Windows 7 (oder höher laufen)

Des Weiteren sehe ich immer Sachen à la "VC11 binaries do not run on Windows XP", "VC12 binaries do not run on Windows XP" sowie "VC14 binaries do not run on Windows XP"...

Hä, wieso konnte ich denn MSVC14 Runtime auf XP und Server 2003 installieren? Dass VC11-Anwendungen nicht mal auf XP/Server 2003 laufen - die spinnen wohl total..??! Das ist schlicht FALSCH.

Oder kann mich jemand eines Besseren belehren?
Grüsse,
Jan
jmar83
 
Posts: 18
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: Aktuellste XAMPP/Apache Version für Windows XP/Server 20

Postby jmar83 » 18. June 2018 08:41

Beispiel: MSVC11 ist Visual Studio 2012 und soll weder Server 2003 noch XP unterstützen, völlig unmöglich: https://stackoverflow.com/questions/318 ... tudio-2015
Grüsse,
Jan
jmar83
 
Posts: 18
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: Aktuellste XAMPP/Apache Version für Windows XP/Server 20

Postby Nobbie » 18. June 2018 10:30

Frag doch Microsoft, die müssen es doch wissen.

P.S.: Microsoft wird sicherlich sagen, dass VC11 nicht WindowsXP unterstützt. Alleine schon aus dem Grund, dass XP nicht mehr gewartet wird, ist ja seit Jahren raus aus dem Portfolio von MS. Zur Sache selbst finde ich diesen Beitrag ganz interessant (der aber auch schon 6 Jahre alt ist!): https://social.msdn.microsoft.com/Forum ... =vcgeneral

As shown in http://tedwvc.wordpress.com/, VS11 produced binaries can be modified to run on XP, albeit in a rather hacky and ugly manner. This suggests that the decision was made by some manager(s) purely as a means to intentionally drop XP support. Is this the case or is there actually some technical reason behind this?


Damit ist eigentlich alles gesagt und auf http://www.apachelounge.com steht explizit für Apache 2.4.33:

The binaries below do not run on XP and 2003


Ich habe es selbst nicht probiert, ich habe kein so steinaltes System hier laufen, aber ich weiß von Forenbeiträgen hier, dass es irgendeine Laufzeitfehlermeldung gibt (geben kann?), wenn man es versucht. Probieren kann man alles, aber wenn es nicht läuft, bekommt man keinen Support. Da muss man eben mal auf ein aktuelleres OS umsteigen, ich wüßte für mich keinen einzigen Grund, auf XP herumzureiten. Eine Second Hand Installation von Windows 7 gibt es bei softwarebilliger.de für einen Appel und ein Ei. Da sind 10 Minuten Manpower in irgendein altes OS investiert ein Verlust.
Nobbie
 
Posts: 10543
Joined: 09. March 2008 13:04

Re: Aktuellste XAMPP/Apache Version für Windows XP/Server 20

Postby jmar83 » 18. June 2018 14:28

Läuft eben schon... wieso sonst sollte ich dann die VC14-Runtime auf XP oder Server 2003 aufsetzen können? -> https://blogs.technet.microsoft.com/jag ... ibutables/

Visual C++ 2015 Redistributables can be downloaded from the below locations

x86

14.0.23506.0: http://download.microsoft.com/download/ ... st.x86.exe

14.0.23026.0: https://www.microsoft.com/en-us/downloa ... x?id=48145

14.0.24123.0: https://www.microsoft.com/en-us/downloa ... x?id=52685

14.0.24212.0: https://www.microsoft.com/en-us/downloa ... x?id=53587

14.0.24215.1: https://download.microsoft.com/download ... st.x86.exe



...dann kann man die mit neuen MSVC++-Compileren erstellten "Binaries" eben trotzdem (irgendwie) ausführen. Evtl. kommt es dabei evtl. auf die Compileroptionen an? Es kann natürlich gut sein, dass Apache zwar mit neueren Versionen erstellt wurde, jedoch ohne ohne XP/Server 2003-Kompatilität. Eben, Compileroptionen halt...

"Ich habe es selbst nicht probiert, ich habe kein so steinaltes System hier laufen, aber ich weiß von Forenbeiträgen hier, dass es irgendeine Laufzeitfehlermeldung gibt (geben kann?), wenn man es versucht. Probieren kann man alles, aber wenn es nicht läuft, bekommt man keinen Support. Da muss man eben mal auf ein aktuelleres OS umsteigen, ich wüßte für mich keinen einzigen Grund, auf XP herumzureiten. Eine Second Hand Installation von Windows 7 gibt es bei softwarebilliger.de für einen Appel und ein Ei. Da sind 10 Minuten Manpower in irgendein altes OS investiert ein Verlust."

Schon klar...

Vielen Dank! :-)
Grüsse,
Jan
jmar83
 
Posts: 18
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: Aktuellste XAMPP/Apache Version für Windows XP/Server 20

Postby jmar83 » 18. June 2018 14:28

Die aktuellsten, noch XP/Server 2003 kompatiblen Apache 2.4-Versionen scheint's hier zu geben: http://www.apachelounge.com/download/VC10/
Grüsse,
Jan
jmar83
 
Posts: 18
Joined: 07. January 2018 04:10
XAMPP version: Apache 2.4
Operating System: Debian 9

Re: Aktuellste XAMPP/Apache Version für Windows XP/Server 20

Postby Nobbie » 18. June 2018 16:18

jmar83 wrote:Die aktuellsten, noch XP/Server 2003 kompatiblen Apache 2.4-Versionen scheint's hier zu geben: http://www.apachelounge.com/download/VC10/


SIeht so aus.

Nur verstehe ich nicht ansatzweise, dass jemand möglichst mit neuen Apaches, aber auch möglichst mit steinalten, nicht mehr supporteten Betriebssystemen arbeiten will. Ein sehr seltsamer Ehrgeiz, vielleicht findet man auch noch einen Apache für MSDOS 1.0 irgendwo?

Ich tu mir ja schon mit Windows statt Linux sehr schwer, aber dann auch noch so altes Zeug, gruselig....
Nobbie
 
Posts: 10543
Joined: 09. March 2008 13:04


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 13 guests